canvas: [1400, 900, "#0f172a"]

styles:
  pcm-body: {f: "#1e293b", s: "#94a3b8", sw: 3}
  connector-header: {f: "#475569", s: "#cbd5e1", sw: 2}
  power: {f: "#ef4444", s: "#fecaca", sw: 1.5}        # Red
  ground: {f: "#64748b", s: "#e2e8f0", sw: 1.5}       # Gray
  sensor: {f: "#0ea5e9", s: "#bae6fd", sw: 1.5}       # Blue
  output: {f: "#22c55e", s: "#bbf7d0", sw: 1.5}       # Green
  comms: {f: "#a855f7", s: "#ddd6fe", sw: 1.5}        # Purple
  ignition: {f: "#f59e0b", s: "#fde68a", sw: 1.5}     # Amber
  fuel: {f: "#f97316", s: "#fed7aa", sw: 1.5}         # Orange
  misc: {f: "#14b8a6", s: "#99f6e4", sw: 1.5}         # Teal

shapes:
  # Main PCM Body with subtle gradient and shadow effect
  - rectangle: [[150, 100], [1250, 800], "pcm-body", 20, 20]
  
  # Title with modern font
  - text: ["2014 RAM 1500 3.6L PCM PINOUT", [700, 150], "#e2e8f0", 28, "Segoe UI", 1]
  
  # Connector Headers with depth effect
  - rectangle: [[200, 200], [600, 250], "connector-header", 8, 8]
  - rectangle: [[800, 200], [1200, 250], "connector-header", 8, 8]
  - text: ["CONNECTOR A", [400, 225], "#f8fafc", 20, "Segoe UI Semibold"]
  - text: ["CONNECTOR B", [1000, 225], "#f8fafc", 20, "Segoe UI Semibold"]
  
  # Connector A Pins (Left Side) - organized in grid
  - circle: [[250, 300], 18, "power"]
  - text: ["A1", [250, 350], "#ef4444", 16, "Segoe UI Semibold"]
  
  - circle: [[350, 300], 18, "ground"]
  - text: ["A2", [350, 350], "#64748b", 16, "Segoe UI Semibold"]
  
  - circle: [[450, 300], 18, "sensor"]
  - text: ["A3", [450, 350], "#0ea5e9", 16, "Segoe UI Semibold"]
  
  - circle: [[550, 300], 18, "sensor"]
  - text: ["A4", [550, 350], "#0ea5e9", 16, "Segoe UI Semibold"]
  
  - circle: [[250, 450], 18, "sensor"]
  - text: ["A5", [250, 500], "#0ea5e9", 16, "Segoe UI Semibold"]
  
  - circle: [[350, 450], 18, "sensor"]
  - text: ["A6", [350, 500], "#0ea5e9", 16, "Segoe UI Semibold"]
  
  - circle: [[450, 450], 18, "ignition"]
  - text: ["A7", [450, 500], "#f59e0b", 16, "Segoe UI Semibold"]
  
  - circle: [[550, 450], 18, "ignition"]
  - text: ["A8", [550, 500], "#f59e0b", 16, "Segoe UI Semibold"]
  
  - circle: [[250, 600], 18, "ignition"]
  - text: ["A9", [250, 650], "#f59e0b", 16, "Segoe UI Semibold"]
  
  - circle: [[350, 600], 18, "fuel"]
  - text: ["A10", [350, 650], "#f97316", 16, "Segoe UI Semibold"]
  
  - circle: [[450, 600], 18, "fuel"]
  - text: ["A11", [450, 650], "#f97316", 16, "Segoe UI Semibold"]
  
  - circle: [[550, 600], 18, "fuel"]
  - text: ["A12", [550, 650], "#f97316", 16, "Segoe UI Semibold"]
  
  # Connector B Pins (Right Side)
  - circle: [[850, 300], 18, "fuel"]
  - text: ["B1", [850, 350], "#f97316", 16, "Segoe UI Semibold"]
  
  - circle: [[950, 300], 18, "fuel"]
  - text: ["B2", [950, 350], "#f97316", 16, "Segoe UI Semibold"]
  
  - circle: [[1050, 300], 18, "fuel"]
  - text: ["B3", [1050, 350], "#f97316", 16, "Segoe UI Semibold"]
  
  - circle: [[1150, 300], 18, "output"]
  - text: ["B4", [1150, 350], "#22c55e", 16, "Segoe UI Semibold"]
  
  - circle: [[850, 450], 18, "output"]
  - text: ["B5", [850, 500], "#22c55e", 16, "Segoe UI Semibold"]
  
  - circle: [[950, 450], 18, "output"]
  - text: ["B6", [950, 500], "#22c55e", 16, "Segoe UI Semibold"]
  
  - circle: [[1050, 450], 18, "comms"]
  - text: ["B7", [1050, 500], "#a855f7", 16, "Segoe UI Semibold"]
  
  - circle: [[1150, 450], 18, "comms"]
  - text: ["B8", [1150, 500], "#a855f7", 16, "Segoe UI Semibold"]
  
  - circle: [[850, 600], 18, "misc"]
  - text: ["B9", [850, 650], "#14b8a6", 16, "Segoe UI Semibold"]
  
  - circle: [[950, 600], 18, "misc"]
  - text: ["B10", [950, 650], "#14b8a6", 16, "Segoe UI Semibold"]
  
  - circle: [[1050, 600], 18, "misc"]
  - text: ["B11", [1050, 650], "#14b8a6", 16, "Segoe UI Semibold"]
  
  - circle: [[1150, 600], 18, "misc"]
  - text: ["B12", [1150, 650], "#14b8a6", 16, "Segoe UI Semibold"]
  
  # Integrated Legend
  - rectangle: [[700, 650], [1100, 750], "connector-header", 10, 10]
  - text: ["PIN TYPE LEGEND", [900, 680], "#f8fafc", 18, "Segoe UI Semibold"]
  - circle: [[730, 710], 12, "power"]
  - text: ["Power", [750, 710], "#ef4444", 14, "Segoe UI"]
  - circle: [[830, 710], 12, "ground"]
  - text: ["Ground", [850, 710], "#64748b", 14, "Segoe UI"]
  - circle: [[930, 710], 12, "sensor"]
  - text: ["Sensor", [950, 710], "#0ea5e9", 14, "Segoe UI"]
  - circle: [[1030, 710], 12, "output"]
  - text: ["Output", [1050, 710], "#22c55e", 14, "Segoe UI"]
